Rabbitmq安装部署

爱炒股的程序猿

最近在研究rabbitmq,所以需要在本地搭建一套自己的mq,本来以为很简单,结果还是遇到了不少坑,这里记录一下,也顺便让大家在安装的时候能够有所借鉴。

版本选择

rabbitmq的安装,从网上一搜一大堆,有各种各样的文章,不过大体就两种方式安装:yum、rpm。这里我们使用rpm方式安装(官网上推荐的是yum方式)。
首先我们要知道rabbitmq是需要依赖erlang环境的,所以要先安装erlang。erlang的版本也不是随随便便找到一个就安装的,需要基于你要安装的rabbitmq版本来对应起来安装,具体对应关系在这:https://www.rabbitmq.com/whic...
另外还和你的linux操作系统有关,截取官网一张图
image.png
我们本地的操作系统是centos7,所以我选择安装erlang版本otp23.3,对应能选择的最高的rabbitmq版本如图:
image.png
这里我选择最新的3.8.15版本。
rabbitmq团队也基于mq的依赖缩减了官方erlang的内容,只保留的mq所需的内容(也就是精简版),两个地址分别为:
erlang版本:https://www.erlang.org/downloads
erlang精简版:https://github.com/rabbitmq/e...
我这里选择精简版安装,从这里选择23.3的版本
image.png
rabbitmq的rpm包也去下载一个自己要的版本,我这里是3.8.15
下载地址:https://github.com/rabbitmq/r...
image.png
下载完之后就传到自己的linux系统对应的目录下。

安装

1、先安装erlang所要依赖的环境
yum install -y gcc
yum install -y perl
yum install -y ncurses-devel
yum install -y openssl openssl-devel
yum -y install unixODBC-devel (如果还有漏安装的,按照报错提示补上)
2、安装erlang
cd到你存放erlang包的目录下,执行 rpm -ivh erlang-23.3-2.el7.x86_64.rpm
执行erl -version查看是否安装成功
3、安装rabbitmq
cd到你存放rabbitmq包的目录下,执行 rpm -ivh rabbitmq-server-3.8.15-1.el7.noarch.rpm

部署

执行 systemctl start rabbitmq-server
如果是一个纯净的环境是比较顺利的,但是我本地就失败了,错误如图
image.png
根据提示看具体信息:
image.png
大概是已经存在了,此时想起之前有安装过,但是没成功,估计是那时候留下的。回过头看安装的时候其实也有提示冲突:
image.png
很明显的提示了有一个3.8.1版本的冲突,那就先卸载原来的东西。

卸载

先查一下安装的情况,执行命令:yum list | grep rabbitmq
image.png
确实有已经安装的版本,执行命令删除:yum -y remove rabbitmq-server.noarch
完成卸载后重新根据上面的安装步骤安装rabbitmq包。

启动

执行 systemctl start rabbitmq-server
image.png
启动成功之后安装管理插件。
rabbitmq-plugins enable rabbitmq_management
新增用户:
rabbitmqctl add_user don 123456
赋予权限:
rabbitmqctl set_user_tags don administrator
在自己的浏览器里访问http://ip:15672就能看到如下管理界面:
image.png

总结

至此,整个rabbitmq的安装部署就搞定了。理顺了其实还是挺简单的。
参考资料:
https://blog.csdn.net/weixin_...
https://blog.csdn.net/wyp_810...
https://blog.csdn.net/z_dy1/a...

阅读 195

每天进步一点点

4 声望
0 粉丝
0 条评论
你知道吗?

每天进步一点点

4 声望
0 粉丝
宣传栏